h21603
s 00023/00000/00000
d D 1.1 82/08/03 08:49:29 cecily 1 0
e
u
U
t
T
I 1
umask	title	unix c svc library -- umask

.umask	equ	60

	entry	umask
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
umasksvc	equ	*
	svc	0,.umask
mask	dc	a(*-*)
*
	pure
umask	equ	*
	l	r0,0(sp)	mask
	st	r0,mask
	svc	0,0
	dc	a(umasksvc)
	br	rf

	end
E 1
